I've upgraded to KP2.
It seems to work fine, except there are some patches that don't work.
If I go into the solo strings section, and say go to the cellos. If I select "Cello 1 KS solo", I get a pop up message saying "The patch you're trying to load cannt be used with this application". Other instruments seem OK, but it seems any that have the "KS solo" bit in their name won't load.
They WILL open in the old player.
So, am I being stupid here?
Please gently point me to my mistake!!

I'm on a G5 mac, using Logic 8. The "fault" also occurs in Cubase Studio 4.